<?xml version="1.0" encoding="utf-8"?>
<Defs>
  <BodyDef>
    <defName>Vanya_DroidAlpha</defName>
    <label>Alpha型自爆机器人</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.08</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.75</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
              </parts>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.08</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.15</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.15</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
        <li>
          <def>Vanya_DroidThruster</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidBeta</defName>
    <label>Beta型人形机械</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.06</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.75</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
              </parts>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalShoulder</def>
          <coverage>0.12</coverage>
          <parts>
            <li>
              <def>LeftMechanicalArm</def>
              <coverage>0.95</coverage>
              <parts>
                <li>
                  <def>LeftBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>LeftBlade</li>
                  </groups>
                </li>
                <li>
                  <def>LeftMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>LeftHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalShoulder</def>
          <coverage>0.12</coverage>
          <parts>
            <li>
              <def>RightMechanicalArm</def>
              <coverage>0.95</coverage>
              <parts>
                <li>
                  <def>RightBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>RightBlade</li>
                  </groups>
                </li>
                <li>
                  <def>RightMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>RightHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalLeg</def>
          <coverage>0.08</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>LeftMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalLeg</def>
          <coverage>0.08</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>RightMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.08</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidBetaEX</defName>
    <label>Beta型人形机械重装</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.05</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.5</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalShoulder</def>
          <coverage>0.1</coverage>
          <parts>
            <li>
              <def>LeftMechanicalArm</def>
              <coverage>0.45</coverage>
              <parts>
                <li>
                  <def>LeftBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>LeftBlade</li>
                  </groups>
                </li>
                <li>
                  <def>LeftMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>LeftHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.5</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalShoulder</def>
          <coverage>0.1</coverage>
          <parts>
            <li>
              <def>RightMechanicalArm</def>
              <coverage>0.45</coverage>
              <parts>
                <li>
                  <def>RightBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>RightBlade</li>
                  </groups>
                </li>
                <li>
                  <def>RightMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>RightHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.5</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>LeftMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>RightMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.05</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidGamma</defName>
    <label>Gamma型兽型机械</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.05</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.5</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
                <li>
                  <def>Vanya_DroidJaw</def>
                  <coverage>0.15</coverage>
                  <groups>
                    <li>Vanya_DroidJaw</li>
                  </groups>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.05</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidLBLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidLBFoot</def>
              <coverage>0.2</coverage>
              <groups>
                <li>Vanya_DroidLBFoot</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidRBLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidRBFoot</def>
              <coverage>0.2</coverage>
              <groups>
                <li>Vanya_DroidRBFoot</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidLTLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidLTFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidRTLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidRTFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.7</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.1</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidGammaEX</defName>
    <label>Gamma型兽型机械重装</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.05</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.5</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
                <li>
                  <def>Vanya_DroidJaw</def>
                  <coverage>0.15</coverage>
                  <groups>
                    <li>Vanya_DroidJaw</li>
                  </groups>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.04</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidLBLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidLBFoot</def>
              <coverage>0.2</coverage>
              <groups>
                <li>Vanya_DroidLBFoot</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidRBLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidRBFoot</def>
              <coverage>0.2</coverage>
              <groups>
                <li>Vanya_DroidRBFoot</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidLTLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidLTFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidRTLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidRTFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.35</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidRuler</defName>
    <label>裁决者</label>
    <corePart>
      <def>MechanicalThorax</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.05</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.55</coverage>
              <parts>
                <li>
                  <def>Vanya_DroidCube</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalShoulder</def>
          <coverage>0.1</coverage>
          <parts>
            <li>
              <def>LeftMechanicalArm</def>
              <coverage>0.5</coverage>
              <parts>
                <li>
                  <def>LeftBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>LeftBlade</li>
                  </groups>
                </li>
                <li>
                  <def>LeftMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>LeftHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>LeftHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>LeftHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalShoulder</def>
          <coverage>0.1</coverage>
          <parts>
            <li>
              <def>RightMechanicalArm</def>
              <coverage>0.5</coverage>
              <parts>
                <li>
                  <def>RightBlade</def>
                  <coverage>0.3</coverage>
                  <groups>
                    <li>RightBlade</li>
                  </groups>
                </li>
                <li>
                  <def>RightMechanicalHand</def>
                  <coverage>0.2</coverage>
                  <height>Bottom</height>
                  <parts>
                    <li>
                      <def>RightHandMechanicalPinky</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalMiddleFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalIndexFinger</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                    <li>
                      <def>RightHandMechanicalThumb</def>
                      <coverage>0.05</coverage>
                      <groups>
                        <li>RightHand</li>
                      </groups>
                    </li>
                  </parts>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>LeftMechanicalLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>LeftMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.4</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.4</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>RightMechanicalLeg</def>
          <coverage>0.075</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>RightMechanicalFoot</def>
              <coverage>0.2</coverage>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.4</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.4</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactor</def>
          <coverage>0.04</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
  <BodyDef>
    <defName>Vanya_DroidFortress</defName>
    <label>堡垒</label>
    <corePart>
      <def>Vanya_DroidChassis</def>
      <height>Middle</height>
      <depth>Outside</depth>
      <parts>
        <li>
          <def>MechanicalNeck</def>
          <coverage>0.03</coverage>
          <height>Top</height>
          <parts>
            <li>
              <def>MechanicalHead</def>
              <coverage>0.55</coverage>
              <parts>
                <li>
                  <def>ArtificialBrain</def>
                  <coverage>0.15</coverage>
                  <depth>Inside</depth>
                </li>
                <li>
                  <def>LeftSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>RightSightSensor</def>
                  <coverage>0.15</coverage>
                </li>
                <li>
                  <def>LeftHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>RightHearingSensor</def>
                  <coverage>0.05</coverage>
                </li>
                <li>
                  <def>SmellSensor</def>
                  <coverage>0.1</coverage>
                </li>
              </parts>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.1</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidPowerCore</def>
          <coverage>0.008</coverage>
          <depth>Inside</depth>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidManipulationTool</def>
          <coverage>0.1</coverage>
          <groups>
            <li>Vanya_DroidManipulationTool</li>
          </groups>
        </li>
        <li>
          <def>Vanya_DroidTrack</def>
          <coverage>0.1</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidHub</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
              <groups>
                <li>Vanya_DroidHub</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidBearing</def>
              <coverage>0.2</coverage>
              <depth>Outside</depth>
              <groups>
                <li>Vanya_DroidTrack</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidTrack</def>
          <coverage>0.1</coverage>
          <height>Bottom</height>
          <parts>
            <li>
              <def>Vanya_DroidHub</def>
              <coverage>0.25</coverage>
              <depth>Outside</depth>
              <groups>
                <li>Vanya_DroidHub</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidBearing</def>
              <coverage>0.2</coverage>
              <depth>Outside</depth>
              <groups>
                <li>Vanya_DroidTrack</li>
              </groups>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
            <li>
              <def>Vanya_DroidReactiveArmor</def>
              <coverage>0.05</coverage>
              <depth>Outside</depth>
            </li>
          </parts>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
        <li>
          <def>Vanya_DroidReactiveArmor</def>
          <coverage>0.05</coverage>
          <depth>Outside</depth>
        </li>
      </parts>
    </corePart>
  </BodyDef>
</Defs>